Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001904TestLinkRequirement Managementpublic2008-11-28 12:102010-01-22 06:51
Reporterstefanstefan 
Assigned Tomhavlat 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 1 
Fixed in Version1.8.5 (bug fixing) 
Summary0001904: Test Project disappeared from the dropdown box
DescriptionI created a second Test Project, I now had 2 projects, and I started copying my test cases from 1 project to another. But all of a sudden my original test project completely disappeared from the dropdown box on the top right of the screen.

I went into the mysql database and it is still listed in the database and all of the test plans are still in the database. I can modify entries fine but the project is just not being seen in testlink under project management or in the drop down box.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3.0.4
PHP Version5.2.6
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon screendump1.JPG [^] (103,575 bytes) 2008-12-01 06:29


jpg file icon screendump2.JPG [^] (137,906 bytes) 2008-12-01 06:29

- Relationships

-  Notes
(0004719)
stefanstefan (reporter)
2008-11-28 13:14

when I try to create a new project with the same prefix ast he project that is missing. it tells me that there is already a project in use with that prefix.
(0004720)
fman (administrator)
2008-11-28 17:43

1. do you see project on test project page ?
2. send me dump zipped to francisco.mancardi@gmail.com
(0004722)
mhavlat (reporter)
2008-11-28 21:06

Could you check, that the user has still correct rights for the disappeared project? Check in "Assign Test Project roles" page. Do you see the project in combo box on this page?
(0004737)
stefanstefan (reporter)
2008-12-01 06:29
edited on: 2008-12-01 06:45

Sorry for the delay, long weekend!

All 5 users cannot see the project under the 'Assign Test Project roles'. Even any accounts with admin status cannot see the lost project.

I'm uploaded 2 screendumps, where "Mail House Reconciliation" is the project that I can not see, and "Toll System Reconciliation System" is the only project visible within testlink.


I've tried backing up the database, completly removing testlink and putting in new users and database's, then importing the previous database in. But it still gives me the exact same problem. Maybe it's not testlink but the database itself

Something that leads me to believe that it might not be testlink itself is that nowhere in the events section is there any mention of the project being deleted, removed, renamed or any kind of action to do with the missing project

(0004754)
fman (administrator)
2008-12-03 02:27

@stefanstefan
your dumps where not good.
I need a dump only of TL db.
(0005338)
mhavlat (reporter)
2009-02-10 06:58

Stefan,
it's a crazy case. Could you use myPhpAdmin or some other tool and get a content of the table testprojects?

SELECT * FROM `testprojects`

Do you use fome special characters?
(0005780)
mhavlat (reporter)
2009-03-09 03:12

Stefan,
is there any progress?
(0005913)
jmonsalvev (reporter)
2009-03-20 05:02

Hello, I had the same problem, all projects are stored in the table testprojects correctly but the drop-down list not shows all. I had to insert into table nodes_hierarchy two records that were apparently removed.

1. The node of TestProject missed in the drop-down list
2. The node of Testplant corresponding to the TestProject

It solved the problem and I can see again the Test Project in the drop-down list.

In my case the test projects have disappeared after reordering a specs requirements tree
(0008685)
mhavlat (reporter)
2010-01-14 18:05

It looks that the cause was already fixed as no new report for the problem are in later versions.
I suggest to close.

- Issue History
Date Modified Username Field Change
2008-11-28 12:10 stefanstefan New Issue
2008-11-28 12:10 stefanstefan Browser => Firefox 3.0.4
2008-11-28 12:10 stefanstefan PHP Version => 5.2.6
2008-11-28 13:14 stefanstefan Note Added: 0004719
2008-11-28 17:43 fman Note Added: 0004720
2008-11-28 21:06 mhavlat Note Added: 0004722
2008-11-28 21:06 mhavlat Status new => feedback
2008-11-28 21:07 mhavlat Severity crash => minor
2008-12-01 06:29 stefanstefan Note Added: 0004737
2008-12-01 06:29 stefanstefan File Added: screendump1.JPG
2008-12-01 06:29 stefanstefan File Added: screendump2.JPG
2008-12-01 06:45 stefanstefan Note Edited: 0004737
2008-12-03 02:27 fman Note Added: 0004754
2009-02-10 06:58 mhavlat Note Added: 0005338
2009-03-09 03:12 mhavlat Note Added: 0005780
2009-03-20 05:02 jmonsalvev Note Added: 0005913
2010-01-14 18:05 mhavlat Note Added: 0008685
2010-01-14 18:06 mhavlat Severity minor => major
2010-01-14 18:06 mhavlat Category Test Project Management => Requirement Management
2010-01-22 06:50 fman Status feedback => assigned
2010-01-22 06:50 fman Assigned To => mhavlat
2010-01-22 06:51 fman Status assigned => closed
2010-01-22 06:51 fman Resolution open => fixed
2010-01-22 06:51 fman Fixed in Version => 1.8.5 (bug fixing)



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker